listbalanceentries.md

List Balance Entries

A Balance Entry reflects a change to an application's Balance due to a Transfer or a Balance Adjustment (i.e., "top-up").

You can use this endpoint to obtain a list of Balance Entry objects.

Endpoint:

GET /balances/{balance_id}/balance_entries

Security:

BasicAuth

Path parameters:

Header parameters:

Query parameters:

Response 200 fields (application/json):

This balance reflects settled funds minus any initiated outflows (such as payouts) that reduce availability immediately, even if they have not yet fully posted.

Funds from incoming transactions (such as top-ups) are not included until they are finalized.

Example:

If the posted balance is $1,000, a $500 payout is initiated, and a $600 top-up is pending, the available_amount is $500.

This amount includes the posted balance adjusted by pending incoming and outgoing transactions, regardless of whether those funds are currently available for use.

Example:

If the posted balance is $1,000, a $500 payout is pending, and a $600 top-up is pending, the pending_amount is $1,100.

This amount represents the authoritative ledger balance and does not include any pending incoming or outgoing transactions.

Example:

If $1,000 has fully settled and no transactions have posted since, the posted_amount is $1,000, even if payouts or top-ups are currently in progress.

Response 401 fields (application/json):

Response 403 fields (application/json):

Response 406 fields (application/json):

Response 422 fields (application/json):